Update a timeslot resource allocation
curl --request PATCH \
--url https://b.anny.co/api/v1/timeslot-resource-allocations/{timeslot_resource_allocation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "<string>",
"type": "timeslot-resource-allocations",
"attributes": {
"capacity_multiplier": 123,
"order_index": 123,
"imputed_costs": 123,
"is_externally_blocked": true,
"is_required": true,
"provisioned_at": "2023-11-07T05:31:56Z",
"provisioned_by_booking_id": 123,
"visible_to_customer": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"links": {
"self": "<string>"
},
"relationships": {
"resource": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"timeslot": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
}
}
}
}
'import requests
url = "https://b.anny.co/api/v1/timeslot-resource-allocations/{timeslot_resource_allocation_id}"
payload = { "data": {
"id": "<string>",
"type": "timeslot-resource-allocations",
"attributes": {
"capacity_multiplier": 123,
"order_index": 123,
"imputed_costs": 123,
"is_externally_blocked": True,
"is_required": True,
"provisioned_at": "2023-11-07T05:31:56Z",
"provisioned_by_booking_id": 123,
"visible_to_customer": True,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"links": { "self": "<string>" },
"relationships": {
"resource": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
},
"timeslot": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
}
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '<string>',
type: 'timeslot-resource-allocations',
attributes: {
capacity_multiplier: 123,
order_index: 123,
imputed_costs: 123,
is_externally_blocked: true,
is_required: true,
provisioned_at: '2023-11-07T05:31:56Z',
provisioned_by_booking_id: 123,
visible_to_customer: true,
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z'
},
links: {self: '<string>'},
relationships: {
resource: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}},
timeslot: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}}
}
}
})
};
fetch('https://b.anny.co/api/v1/timeslot-resource-allocations/{timeslot_resource_allocation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "timeslot-resource-allocations",
"attributes": {
"capacity_multiplier": 123,
"order_index": 123,
"imputed_costs": 123,
"is_externally_blocked": true,
"is_required": true,
"provisioned_at": "2023-11-07T05:31:56Z",
"provisioned_by_booking_id": 123,
"visible_to_customer": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"links": {
"self": "<string>"
},
"relationships": {
"resource": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"timeslot": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
}
}
}
}Availability Settings
Update a timeslot resource allocation
PATCH
/
api
/
v1
/
timeslot-resource-allocations
/
{timeslot_resource_allocation_id}
Update a timeslot resource allocation
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
The timeslot resource allocation identifier.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
A secondary resource attached to a timeslot. Allocations can be provisioned immediately or held as pending capacity for dynamic-capacity slots.
Show child attributes
Show child attributes
Antwort
OK
A secondary resource attached to a timeslot. Allocations can be provisioned immediately or held as pending capacity for dynamic-capacity slots.
Show child attributes
Show child attributes
⌘I